Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(213)

Issue 2415873002: Import w3c tests for the service workers (Closed)

Created:
2 years, 10 months ago by shimazu
Modified:
2 years, 10 months ago
CC:
blink-reviews, blink-reviews-w3ctests_chromium.org, chromium-reviews, jshin+watch_chromium.org, tfarina, Clemens Hammacher
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Import w3c tests for the service workers This patch imports wpt tests @357b83b809e3cbc7a1805e7c3ca108a7980d782f. Many failures are left as is, so we should file each bugs after this lands. BUG=602693, 618616, 624278, 571722, 617886 TEST=./third_party/WebKit/Tools/Scripts/run-webkit-tests -f -t Debug --enable-wptserve imported/wpt/service-workers Committed: https://crrev.com/a4ed034738fe6c86c262e5cb0466b79ca84ab65f Cr-Commit-Position: refs/heads/master@{#426405}

Patch Set 1 #

Total comments: 7

Patch Set 2 : Created another issue for cache storages and remove a comment #

Patch Set 3 : Moved expectations to WPTServeExpectations #

Patch Set 4 : Added -expected.txt and removed cache-storage tests #

Total comments: 2

Patch Set 5 : Rebase #

Patch Set 6 : Rebase #

Total comments: 4
Unified diffs Side-by-side diffs Delta from patch set Stats (+10561 lines, -869 lines) Patch
M third_party/WebKit/LayoutTests/TestExpectations View 1 2 3 4 5 1 chunk +5 lines, -0 lines 4 comments Download
M third_party/WebKit/LayoutTests/W3CImportExpectations View 1 2 3 4 1 chunk +3 lines, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/WPTServeExpectations View 1 2 3 4 5 1 chunk +63 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/ServiceWorkerGlobalScope/registration-attribute.https.html View 1 chunk +37 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/ServiceWorkerGlobalScope/resources/registration-attribute-worker.js View 1 chunk +1 line, -8 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/ServiceWorkerGlobalScope/resources/unregister-controlling-worker.html View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/ServiceWorkerGlobalScope/resources/unregister-worker.js View 1 chunk +2 lines, -2 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/ServiceWorkerGlobalScope/resources/update-worker.js View 1 chunk +1 line, -11 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/ServiceWorkerGlobalScope/resources/update-worker.py View 1 chunk +14 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/ServiceWorkerGlobalScope/unregister.https.html View 2 chunks +4 lines, -4 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/ServiceWorkerGlobalScope/update.https.html View 1 chunk +4 lines, -4 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/activate-event-after-install-state-change.https.html View 1 chunk +32 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/activation-after-registration.https.html View 1 chunk +3 lines, -3 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/activation.https.html View 9 chunks +37 lines, -23 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/active.https.html View 1 chunk +3 lines, -3 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/appcache-ordering-main.https.html View 5 chunks +11 lines, -6 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/claim-not-using-registration.https.html View 1 chunk +4 lines, -3 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/claim-using-registration.https.html View 1 chunk +4 lines, -3 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/client-navigate.https.html View 1 chunk +117 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/client-navigate.https-expected.txt View 1 2 3 1 chunk +8 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/clients-get-cross-origin.https.html View 1 chunk +42 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/clients-get-cross-origin.https-expected.txt View 1 2 3 1 chunk +6 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/clients-get.https.html View 1 chunk +70 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/clients-matchall-client-types.https.html View 3 chunks +11 lines, -10 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/clients-matchall-client-types.https-expected.txt View 1 2 3 1 chunk +6 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/clients-matchall-include-uncontrolled.https.html View 4 chunks +24 lines, -11 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/clients-matchall.https.html View 1 chunk +45 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/controller-on-disconnect.https.html View 1 chunk +40 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/controller-on-disconnect.https-expected.txt View 1 2 3 1 chunk +4 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/controller-on-load.https.html View 1 chunk +45 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/controller-on-load.https-expected.txt View 1 2 3 1 chunk +4 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/controller-on-reload.https.html View 3 chunks +18 lines, -7 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/controller-on-reload.https-expected.txt View 1 2 3 1 chunk +4 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/extendable-event-async-waituntil.https.html View 1 chunk +4 lines, -3 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/extendable-event-waituntil.https.html View 1 chunk +3 lines, -3 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-canvas-tainting-cache.https.html View 2 chunks +8 lines, -8 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-canvas-tainting-cache.https-expected.txt View 1 2 3 1 chunk +6 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-canvas-tainting.https.html View 3 chunks +6 lines, -6 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-canvas-tainting.https-expected.txt View 1 2 3 1 chunk +6 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-cors-xhr.https.html View 3 chunks +6 lines, -6 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-cors-xhr.https-expected.txt View 1 2 3 1 chunk +6 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-csp.https.html View 2 chunks +9 lines, -15 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-csp.https-expected.txt View 1 2 3 1 chunk +6 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-event-after-navigation-within-page.https.html View 1 chunk +3 lines, -3 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-event-async-respond-with.https.html View 3 chunks +5 lines, -4 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-event-async-respond-with.https-expected.txt View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-event-network-error.https.html View 1 chunk +4 lines, -3 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-event-redirect.https.html View 1 chunk +1102 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-event-respond-with-stops-propagation.https.html View 3 chunks +5 lines, -4 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-event-respond-with-stops-propagation.https-expected.txt View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-event.https.html View 1 chunk +576 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-event.https-expected.txt View 1 2 3 1 chunk +18 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-frame-resource.https.html View 1 chunk +221 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-header-visibility.https.html View 1 chunk +52 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-header-visibility.https-expected.txt View 1 2 3 1 chunk +4 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-mixed-content-to-inscope.https.html View 2 chunks +7 lines, -6 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-mixed-content-to-outscope.https.html View 1 chunk +6 lines, -5 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-request-css-base-url.https.html View 1 chunk +56 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-request-css-base-url.https-expected.txt View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-request-css-images.https.html View 1 chunk +176 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-request-fallback.https.html View 1 chunk +113 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-request-fallback.https-expected.txt View 1 2 3 1 chunk +5 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-request-no-freshness-headers.https.html View 1 chunk +3 lines, -3 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-request-redirect.https.html View 1 chunk +372 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-request-redirect.https-expected.txt View 1 2 3 1 chunk +9 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-request-resources.https.html View 1 chunk +189 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-request-resources.https-expected.txt View 1 2 3 1 chunk +19 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-request-xhr.https.html View 2 chunks +12 lines, -9 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-request-xhr.https-expected.txt View 1 2 3 1 chunk +6 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-response-xhr.https.html View 2 chunks +13 lines, -6 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-response-xhr.https-expected.txt View 1 2 3 1 chunk +6 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/fetch-waits-for-activate.https.html View 1 chunk +63 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/getregistration.https.html View 1 chunk +3 lines, -3 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/getregistrations.https.html View 1 chunk +191 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/getregistrations.https-expected.txt View 1 2 3 1 chunk +11 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/indexeddb.https.html View 2 chunks +4 lines, -4 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/install-event-type.https.html View 1 chunk +4 lines, -3 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/installing.https.html View 1 chunk +3 lines, -3 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/interfaces.https.html View 3 chunks +5 lines, -6 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/invalid-blobtype.https.html View 2 chunks +6 lines, -6 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/invalid-blobtype.https-expected.txt View 1 2 3 1 chunk +6 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/invalid-header.https.html View 2 chunks +6 lines, -6 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/invalid-header.https-expected.txt View 1 2 3 1 chunk +6 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/multiple-register.https.html View 5 chunks +8 lines, -7 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/multiple-update.https.html View 1 chunk +92 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/navigate-window.https.html View 1 chunk +141 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/navigate-window.https-expected.txt View 1 2 3 1 chunk +5 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/navigation-redirect.https.html View 7 chunks +32 lines, -30 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/navigation-redirect.https-expected.txt View 1 2 3 1 chunk +31 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/onactivate-script-error.https.html View 2 chunks +10 lines, -3 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/oninstall-script-error.https.html View 2 chunks +5 lines, -4 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/performance-timeline.https.html View 1 chunk +11 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/performance-timeline.https-expected.txt View 1 2 3 1 chunk +6 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/postmessage-msgport-to-client.https.html View 1 2 3 4 5 1 chunk +51 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/postmessage-to-client.https.html View 1 chunk +49 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/postmessage-to-client.https-expected.txt View 1 2 3 1 chunk +4 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/postmessage.https.html View 1 2 3 4 5 1 chunk +60 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/ready.https.html View 8 chunks +42 lines, -99 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/referer.https.html View 2 chunks +5 lines, -5 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/referer.https-expected.txt View 1 2 3 1 chunk +6 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/register-closed-window.https.html View 1 chunk +35 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/register-default-scope.https.html View 1 chunk +4 lines, -3 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/register-same-scope-different-script-url.https.html View 2 chunks +14 lines, -7 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/register-wait-forever-in-install-worker.https.html View 1 chunk +56 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/register-wait-forever-in-install-worker.https-expected.txt View 1 2 3 1 chunk +4 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/registration-end-to-end.https.html View 1 chunk +3 lines, -3 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/registration-events.https.html View 1 chunk +3 lines, -3 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/registration-iframe.https.html View 2 chunks +4 lines, -4 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/registration-service-worker-attributes.https.html View 4 chunks +24 lines, -23 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/registration.https.html View 1 chunk +368 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/rejections.https.html View 1 chunk +2 lines, -2 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/request-end-to-end.https.html View 1 chunk +61 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/request-end-to-end.https-expected.txt View 1 2 3 1 chunk +4 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resource-timing.https.html View 4 chunks +7 lines, -7 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resource-timing.https-expected.txt View 1 2 3 1 chunk +5 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/404.py View 1 chunk +5 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/appcache-ordering.manifest View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/appcache-ordering.install.html View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/appcache-ordering.is-appcached.html View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/appcache-ordering.is-appcached.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/blank.html View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/claim-worker.js View 2 chunks +2 lines, -2 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/client-navigate-frame.html View 1 chunk +12 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/client-navigate-worker.js View 1 chunk +71 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/client-navigated-frame.html View 1 chunk +3 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/clients-get-frame.html View 1 chunk +12 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/clients-get-other-origin.html View 1 chunk +64 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/clients-get-worker.js View 1 chunk +53 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/clients-matchall-client-types-iframe.html View 1 chunk +8 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/clients-matchall-client-types-shared-worker.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/clients-matchall-worker.js View 1 chunk +24 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/dummy.html View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/dummy.txt View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/dummy-shared-worker-interceptor.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/dummy-worker-interceptor.js View 1 chunk +21 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/dummy-worker-script.py View 1 chunk +9 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/empty.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/empty-worker.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/end-to-end-worker.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/events-worker.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/extendable-event-async-waituntil.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/extendable-event-waituntil.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fail-on-fetch-worker.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-access-control.py View 1 chunk +69 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-access-control-login.html View 1 chunk +1 line, -1 line 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-canvas-tainting-iframe.html View 8 chunks +63 lines, -23 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-cors-xhr-iframe.html View 6 chunks +35 lines, -15 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-csp-iframe.html View 3 chunks +17 lines, -12 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-csp-iframe.html.sub.headers View 1 chunk +1 line, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-event-after-navigation-within-page-iframe.html View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-event-async-respond-with-worker.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-event-network-error-controllee-iframe.html View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-event-network-error-worker.js View 1 chunk +2 lines, -2 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-event-redirect-iframe.html View 1 chunk +25 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-event-respond-with-stops-propagation-worker.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-event-test-worker.js View 4 chunks +49 lines, -4 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-header-visibility-iframe.html View 1 chunk +66 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-mixed-content-iframe.html View 3 chunks +5 lines, -5 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-mixed-content-iframe-inscope-to-inscope.html View 2 chunks +18 lines, -4 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-mixed-content-iframe-inscope-to-outscope.html View 2 chunks +18 lines, -5 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-request-css-base-url-iframe.html View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-request-css-base-url-style.css View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-request-css-base-url-worker.js View 2 chunks +3 lines, -3 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-request-fallback-iframe.html View 1 chunk +15 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-request-fallback-worker.js View 1 chunk +0 lines, -2 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-request-no-freshness-headers-iframe.html View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-request-no-freshness-headers-worker.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-request-redirect-iframe.html View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-request-resources-iframe.https.html View 3 chunks +17 lines, -10 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-request-resources-worker.js View 1 chunk +2 lines, -2 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-request-xhr-iframe.https.html View 8 chunks +23 lines, -86 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-request-xhr-worker.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-response-xhr-iframe.https.html View 2 chunks +5 lines, -3 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-response-xhr-worker.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-rewrite-worker.js View 1 chunk +148 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/fetch-waits-for-activate-worker.js View 1 chunk +17 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/frame-for-getregistrations.html View 1 chunk +19 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/get-host-info.sub.js View 2 chunks +4 lines, -4 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/indexeddb-worker.js View 1 chunk +26 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/install-event-type-worker.js View 1 chunk +0 lines, -1 line 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/interfaces.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/interfaces-worker.sub.js View 2 chunks +25 lines, -43 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/invalid-blobtype-iframe.https.html View 1 chunk +1 line, -2 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/invalid-blobtype-worker.js View 1 chunk +0 lines, -1 line 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/invalid-chunked-encoding.py View 1 chunk +2 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/invalid-chunked-encoding-with-flush.py View 1 chunk +11 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/invalid-header-iframe.https.html View 1 chunk +1 line, -2 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/invalid-header-worker.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/load_worker.js View 1 chunk +29 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/loaded.html View 1 chunk +9 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/malformed-worker.py View 1 chunk +10 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/mime-type-worker.py View 1 chunk +4 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/mint-new-worker.py View 1 chunk +25 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/navigate-window-worker.js View 1 chunk +21 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/navigation-redirect-other-origin.html View 3 chunks +5 lines, -5 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/navigation-redirect-out-scope.py View 1 chunk +15 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/navigation-redirect-scope1.py View 1 chunk +15 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/navigation-redirect-scope2.py View 1 chunk +15 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/navigation-redirect-worker.js View 1 chunk +75 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/onactivate-throw-error-from-nested-event-worker.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/onactivate-throw-error-then-cancel-worker.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/onactivate-throw-error-then-prevent-default-worker.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/onactivate-throw-error-with-empty-onerror-worker.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/onactivate-throw-error-worker.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/oninstall-throw-error-from-nested-event-worker.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/oninstall-throw-error-then-cancel-worker.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/oninstall-throw-error-then-prevent-default-worker.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/oninstall-throw-error-with-empty-onerror-worker.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/oninstall-throw-error-worker.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/other.html View 0 chunks +-1 lines, --1 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/override_assert_object_equals.js View 1 chunk +58 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/performance-timeline-worker.js View 2 chunks +10 lines, -18 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/postmessage-msgport-to-client-worker.js View 1 2 3 4 5 1 chunk +20 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/postmessage-to-client-worker.js View 1 chunk +2 lines, -2 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/postmessage-worker.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/redirect.py View 1 chunk +25 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/referer-iframe.html View 2 chunks +13 lines, -12 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/register-closed-window-iframe.html View 1 chunk +16 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/registration-worker.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/reject-install-worker.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/request-end-to-end-worker.js View 1 chunk +32 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/request-headers.py View 1 chunk +6 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/resource-timing-iframe.html View 1 chunk +1 line, -1 line 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/resource-timing-worker.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/service-worker-csp-worker.py View 10 chunks +52 lines, -57 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/shared-worker-controlled.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/shared-worker-import.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/silence.oga View Binary file 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/simple.html View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/simple.txt View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/simple-intercept-worker.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/skip-waiting-installed-worker.js View 1 chunk +2 lines, -13 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/skip-waiting-worker.js View 1 chunk +1 line, -1 line 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/square.png View Binary file 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/success.py View 1 chunk +8 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/test-helpers.sub.js View 5 chunks +55 lines, -36 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/testharness-helpers.js View 1 chunk +163 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/unregister-controller-page.html View 0 chunks +-1 lines, --1 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/update-nocookie-worker.py View 1 chunk +15 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/update-recovery-worker.py View 1 chunk +25 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/update-worker.py View 1 chunk +46 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/wait-forever-in-install-worker.js View 1 chunk +12 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/websocket.js View 1 chunk +7 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/worker-interception-iframe.https.html View 1 chunk +39 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/worker-load-interceptor.js View 1 chunk +13 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/worker-testharness.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/resources/xhr.js View 1 chunk +6 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/service-worker-csp-connect.https.html View 1 chunk +10 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/service-worker-csp-connect.https-expected.txt View 1 2 3 1 chunk +7 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/service-worker-csp-default.https.html View 1 chunk +10 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/service-worker-csp-script.https.html View 1 chunk +10 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/service-worker-csp-script.https-expected.txt View 1 2 3 1 chunk +7 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/serviceworkerobject-scripturl.https.html View 2 chunks +5 lines, -7 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/shared-worker-controlled.https.html View 1 chunk +3 lines, -3 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/skip-waiting-installed.https.html View 3 chunks +14 lines, -9 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/skip-waiting-using-registration.https.html View 2 chunks +5 lines, -4 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/skip-waiting-without-client.https.html View 1 chunk +13 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/skip-waiting-without-using-registration.https.html View 3 chunks +5 lines, -4 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/skip-waiting.https.html View 1 chunk +4 lines, -3 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/state.https.html View 1 chunk +3 lines, -3 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/synced-state.https.html View 1 chunk +64 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/uncontrolled-page.https.html View 2 chunks +4 lines, -4 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/unregister-controller.https.html View 8 chunks +12 lines, -5 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/unregister-then-register-new-script.https.html View 1 chunk +3 lines, -3 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/unregister-then-register.https.html View 5 chunks +6 lines, -44 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/unregister.https.html View 1 chunk +3 lines, -3 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/update-after-navigation-fetch-event.https.html View 1 chunk +34 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/update-after-oneday.https.html View 1 chunk +50 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/update-after-oneday.https-expected.txt View 1 2 3 1 chunk +4 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/update-recovery.https.html View 1 chunk +71 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/update-recovery.https-expected.txt View 1 2 3 1 chunk +4 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/update.https.html View 6 chunks +30 lines, -26 lines 0 comments Download
A + third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/waiting.https.html View 2 chunks +12 lines, -9 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/websocket.https.html View 1 chunk +46 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/websocket.https-expected.txt View 1 2 3 1 chunk +4 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/worker-interception.https.html View 1 chunk +155 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/worker-interception.https-expected.txt View 1 2 3 1 chunk +11 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/xhr.https.html View 1 chunk +35 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/service-worker/xhr.https-expected.txt View 1 2 3 1 chunk +4 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/specgen.json View 1 chunk +658 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-3.1-service-worker-obj.html View 1 chunk +63 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-3.1.1-service-worker-scope.html View 1 chunk +46 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-3.1.2-service-worker-url.html View 1 chunk +43 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-3.1.3-service-worker-state.html View 1 chunk +76 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-3.1.4-service-worker-on-state-change.html View 1 chunk +35 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-3.2-navigator-service-worker.html View 1 chunk +84 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-3.2.1-navigator-service-worker-installing.html View 1 chunk +43 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-3.2.10-navigator-service-worker-oncontrollerchange.html View 1 chunk +45 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-3.2.11-navigator-service-worker-onreloadpage.html View 1 chunk +41 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-3.2.12-navigator-service-worker-onerror.html View 1 chunk +37 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-3.2.2-navigator-service-worker-waiting.html View 1 chunk +34 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-3.2.3-navigator-service-worker-active.html View 1 chunk +40 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-3.2.4-navigator-service-worker-controller.html View 1 chunk +37 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-3.2.5-navigator-service-worker-ready.html View 1 chunk +67 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-3.2.6-navigator-service-worker-getAll.html View 1 chunk +30 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-3.2.7-navigator-service-worker-register.html View 1 chunk +32 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-3.2.8-navigator-service-worker-unregister.html View 1 chunk +31 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-3.2.9-navigator-service-worker-onupdatefound.html View 1 chunk +42 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.1-service-worker-global-scope.html View 1 chunk +75 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.1.1-service-worker-global-scope-caches.html View 1 chunk +36 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.1.2-service-worker-global-scope-clients.html View 1 chunk +33 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.1.3-service-worker-global-scope-scope.html View 1 chunk +36 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.1.4-service-worker-global-scope-fetch.html View 1 chunk +55 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.1.5-service-worker-global-scope-update.html View 1 chunk +36 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.1.6-service-worker-global-scope-unregister.html View 1 chunk +31 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.1.7-service-worker-global-scope-onmessage.html View 1 chunk +45 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.2-client.html View 1 chunk +61 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.3-service-worker-clients.html View 1 chunk +48 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.3.1-get-serviced-method.html View 1 chunk +34 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.3.2-reloadall-method.html View 1 chunk +37 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.4-request-objects.html View 1 chunk +72 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.5-response-objects.html View 1 chunk +75 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.5.2-response.html View 1 chunk +36 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.5.4-opaque-response.html View 1 chunk +36 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.6-cache-objects.html View 1 chunk +37 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.6.1-cache-lifetimes.html View 1 chunk +38 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.6.2-cache.html View 1 chunk +64 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.6.3-cache-storage.html View 1 chunk +62 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.7.1-install-phase-event.html View 1 chunk +51 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.7.1.1-wait-until-method.html View 1 chunk +39 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.7.2-install-event.html View 1 chunk +35 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.7.2.1-install-event-section.html View 1 chunk +47 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.7.2.2-replace-method.html View 1 chunk +38 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.7.3-activate-event.html View 1 chunk +41 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.7.4.1-fetch-event-section.html View 1 chunk +71 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.7.4.2-respond-with-method.html View 1 chunk +46 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.7.4.3-default-method.html View 1 chunk +52 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-4.7.4.4-is-reload-attribute.html View 1 chunk +32 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-5.1-origin-relativity.html View 1 chunk +35 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/imported/wpt/service-workers/stub-5.2-cross-origin-resources.html View 1 chunk +48 lines, -0 lines 0 comments Download

Messages

Total messages: 51 (20 generated)
shimazu
ptal:)
2 years, 10 months ago (2016-10-13 03:03:28 UTC) #2
shimazu
tkent: could you also take a look?
2 years, 10 months ago (2016-10-13 03:59:52 UTC) #4
falken
Thanks for working on this! https://codereview.chromium.org/2415873002/diff/1/third_party/WebKit/LayoutTests/TestExpectations File third_party/WebKit/LayoutTests/TestExpectations (right): https://codereview.chromium.org/2415873002/diff/1/third_party/WebKit/LayoutTests/TestExpectations#newcode1226 third_party/WebKit/LayoutTests/TestExpectations:1226: # wpt/service-workers nit: The ...
2 years, 10 months ago (2016-10-13 04:26:37 UTC) #7
tkent
> TEST=./third_party/WebKit/Tools/Scripts/run-webkit-tests -f -t Debug --enable-wptserve imported/wpt/service-workers --enable-wptserve isn't specified in buildbots. Please adjust TestExpectations ...
2 years, 10 months ago (2016-10-13 04:48:22 UTC) #8
tkent
2 years, 10 months ago (2016-10-13 04:48:28 UTC) #9
falken
https://codereview.chromium.org/2415873002/diff/1/third_party/WebKit/LayoutTests/W3CImportExpectations File third_party/WebKit/LayoutTests/W3CImportExpectations (right): https://codereview.chromium.org/2415873002/diff/1/third_party/WebKit/LayoutTests/W3CImportExpectations#newcode296 third_party/WebKit/LayoutTests/W3CImportExpectations:296: # imported/wpt/service-workers [ Pass ] On 2016/10/13 04:48:21, tkent ...
2 years, 10 months ago (2016-10-13 04:53:40 UTC) #10
shimazu
On 2016/10/13 04:48:22, tkent wrote: > > TEST=./third_party/WebKit/Tools/Scripts/run-webkit-tests -f -t Debug > --enable-wptserve imported/wpt/service-workers > ...
2 years, 10 months ago (2016-10-13 05:31:07 UTC) #11
tkent
On 2016/10/13 at 05:31:07, shimazu wrote: > On 2016/10/13 04:48:22, tkent wrote: > > > ...
2 years, 10 months ago (2016-10-13 06:13:30 UTC) #12
falken
On 2016/10/13 06:13:30, tkent wrote: > On 2016/10/13 at 05:31:07, shimazu wrote: > > On ...
2 years, 10 months ago (2016-10-13 06:21:25 UTC) #13
shimazu
Thanks, what is described at the issue of pointerevents looks the same problem with our ...
2 years, 10 months ago (2016-10-13 07:08:42 UTC) #15
jsbell
On 2016/10/13 07:08:42, shimazu wrote: > jsbell@: Can I add tests for cache storages at ...
2 years, 10 months ago (2016-10-13 16:19:40 UTC) #18
shimazu
On 2016/10/13 16:19:40, jsbell wrote: > On 2016/10/13 07:08:42, shimazu wrote: > > jsbell@: Can ...
2 years, 10 months ago (2016-10-14 05:05:33 UTC) #19
falken
> If we have these marked as [Skip] in TestExpectations, can we have expected.txt > ...
2 years, 10 months ago (2016-10-17 05:27:04 UTC) #20
shimazu
> I'm curious why expected.txt is better than [Failure]? It seems like having > [Failure] ...
2 years, 10 months ago (2016-10-17 07:40:27 UTC) #21
qyearsley
On 2016/10/17 at 07:40:27, shimazu wrote: > > I'm curious why expected.txt is better than ...
2 years, 10 months ago (2016-10-17 16:26:05 UTC) #22
jsbell
On 2016/10/17 16:26:05, qyearsley wrote: > On 2016/10/17 at 07:40:27, shimazu wrote: > > > ...
2 years, 10 months ago (2016-10-17 23:22:14 UTC) #23
shimazu
Thanks for your comments! falken: It seems fine for me to commit this as is. ...
2 years, 10 months ago (2016-10-19 03:46:51 UTC) #24
falken
On 2016/10/19 03:46:51, shimazu wrote: > Thanks for your comments! > > falken: It seems ...
2 years, 10 months ago (2016-10-19 03:50:43 UTC) #25
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2415873002/60001
2 years, 10 months ago (2016-10-19 03:57:39 UTC) #27
commit-bot: I haz the power
Try jobs failed on following builders: ios-device on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-device/builds/89541)
2 years, 10 months ago (2016-10-19 04:17:34 UTC) #29
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2415873002/80001
2 years, 10 months ago (2016-10-19 05:49:11 UTC) #32
commit-bot: I haz the power
Try jobs failed on following builders: android_arm64_dbg_recipe on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_arm64_dbg_recipe/builds/148442) android_clang_dbg_recipe on master.tryserver.chromium.android (JOB_FAILED, ...
2 years, 10 months ago (2016-10-19 10:07:16 UTC) #34
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2415873002/80001
2 years, 10 months ago (2016-10-20 01:50:32 UTC) #36
commit-bot: I haz the power
Try jobs failed on following builders: android_clang_dbg_recipe on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_clang_dbg_recipe/builds/149447)
2 years, 10 months ago (2016-10-20 02:06:43 UTC) #38
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2415873002/100001
2 years, 10 months ago (2016-10-20 03:23:25 UTC) #41
commit-bot: I haz the power
Committed patchset #6 (id:100001)
2 years, 10 months ago (2016-10-20 04:44:24 UTC) #43
Michael Achenbach
Anything gone wrong when rebasing? Hint: Add rebaseline expectations at a random location in this ...
2 years, 10 months ago (2016-10-20 19:16:17 UTC) #45
Clemens Hammacher
https://chromiumcodereview.appspot.com/2415873002/diff/100001/third_party/WebKit/LayoutTests/TestExpectations File third_party/WebKit/LayoutTests/TestExpectations (right): https://chromiumcodereview.appspot.com/2415873002/diff/100001/third_party/WebKit/LayoutTests/TestExpectations#newcode1275 third_party/WebKit/LayoutTests/TestExpectations:1275: crbug.com/656622 inspector/sources/debugger-pause/debugger-eval-while-paused-throws.html [ NeedsManualRebaseline ] On 2016/10/20 19:16:17, machenbach ...
2 years, 10 months ago (2016-10-20 19:22:35 UTC) #47
shimazu
https://codereview.chromium.org/2415873002/diff/100001/third_party/WebKit/LayoutTests/TestExpectations File third_party/WebKit/LayoutTests/TestExpectations (right): https://codereview.chromium.org/2415873002/diff/100001/third_party/WebKit/LayoutTests/TestExpectations#newcode1275 third_party/WebKit/LayoutTests/TestExpectations:1275: crbug.com/656622 inspector/sources/debugger-pause/debugger-eval-while-paused-throws.html [ NeedsManualRebaseline ] On 2016/10/20 19:22:34, Clemens ...
2 years, 10 months ago (2016-10-21 04:21:20 UTC) #48
Michael Achenbach
https://codereview.chromium.org/2415873002/diff/100001/third_party/WebKit/LayoutTests/TestExpectations File third_party/WebKit/LayoutTests/TestExpectations (right): https://codereview.chromium.org/2415873002/diff/100001/third_party/WebKit/LayoutTests/TestExpectations#newcode1275 third_party/WebKit/LayoutTests/TestExpectations:1275: crbug.com/656622 inspector/sources/debugger-pause/debugger-eval-while-paused-throws.html [ NeedsManualRebaseline ] On 2016/10/21 04:21:20, shimazu ...
2 years, 10 months ago (2016-10-21 06:58:36 UTC) #49
commit-bot: I haz the power
2 years, 10 months ago (2016-10-21 13:15:39 UTC) #51
Message was sent while issue was closed.
Patchset 6 (id:??) landed as
https://crrev.com/a4ed034738fe6c86c262e5cb0466b79ca84ab65f
Cr-Commit-Position: refs/heads/master@{#426405}

Powered by Google App Engine
This is Rietveld 408576698